// shannonAppDlg.h : header file
//

#if !defined(AFX_SHANNONAPPDLG_H__2E7FB6A8_BCAB_43A3_BD16_0CC1EB38CF97__INCLUDED_)
#define AFX_SHANNONAPPDLG_H__2E7FB6A8_BCAB_43A3_BD16_0CC1EB38CF97__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "shannonfano.h"


/////////////////////////////////////////////////////////////////////////////
// CShannonAppDlg dialog

class CShannonAppDlg : public CDialog
{
// Construction
public:
	CShannonAppDlg(CWnd* pParent = NULL);	// standard constructor
	~CShannonAppDlg();

// Dialog Data
	//{{AFX_DATA(CShannonAppDlg)
	enum { IDD = IDD_SHANNONAPP_DIALOG };
	CListBox	m_codesList;
	CStatic	m_srclenStatic;
	CStatic	m_outlenStatic;
	CEdit	m_srcEdit;
	CEdit	m_outEdit;
	CButton	m_decodeButton;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CShannonAppDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
private:
	unsigned char	*m_buffer;
	unsigned long	m_len;

	atom_code		**m_table;
	ushort			m_tableLen;

protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CShannonAppDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonEncode();
	afx_msg void OnButtonDecode();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SHANNONAPPDLG_H__2E7FB6A8_BCAB_43A3_BD16_0CC1EB38CF97__INCLUDED_)
